# $Revision: 1.39 $, $Date: 2002/07/31 08:49:08 $
Summary:	Talk client for one-on-one Internet chatting
Summary(de):	Talk-client fr 1:1-Internet-Schwtzchen
Summary(es):	Dilogo de cliente charlas uno a uno en internet
Summary(fr):	Client talk pour les conversations  deux sur l'Internet
Summary(pl):	Klient talk do rozmw jeden-na-jeden w Internecie
Summary(pt_BR):	Conversa de cliente para um-em-um para Internet
Summary(tr):	Internet zerinde birebir konuma - talk - sistemi
Name:		ntalk
Version:	0.17
Release:	5
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
Source1:	%{name}d.inetd
Source2:	talkd.inetd
Source3:	%{name}-non-english-man-pages.tar.bz2
Patch0:		netkit-%{name}-misc.patch
Patch1:		%{name}-include.patch
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	talk
Obsoletes:	ntalk-client

%description
This package provides a client for the Internet talk protocol, which
allows one-on-one chatting between users on different systems.

%description -l de
Dieses Paket enthlt einen Client fr das Internet-Talk- Protokoll,
das das Chatten von zwei Benutzern auf verschiedenen Systemen
ermglicht.

%description -l es
Dilogo de cliente charlas uno a uno en internet.

%description -l fr
Ce package offre un client pour le 'Internet Talk Protocol', qui
permet la conversation un-a-un dans la discussion entre les
utilisateurs de diffrents systmes.

%description -l pl
Pakiet ten zawiera klienta dla internetowego protokou talk, ktry
umoliwia komunikacj midzy uytkownikami na rnych systemach.

%description -l pt_BR
Este pacote fornece um cliente e um daemon para o protocolo talk, que
permite a conversa um-para-um entre usurios em diferentes sistemas.

%description -l tr
Bu paket internet talk hizmeti iin bir istemci ve sunucu
iermektedir. Bu program 'konumak' isteyen kiilerin terminalinde iki
blm aacaktr. Kullanclardan her biri kendi yazdklarn ekrann
alt ksmnda, kar tarafn yazdklarn ise st ksmda
greceklerdir.

%package -n ntalkd
Summary:	Talk daemon for one-on-one Internet chatting
Summary(de):	Talk-daemon fr 1:1-Internet-Schwtzchen
Summary(es):	Servidor de dilogo charlas uno a uno en internet
Summary(fr):	Daemon talk pour les conversations  deux sur l'Internet
Summary(pl):	Serwer talk do rozmw jeden-na-jeden w Internecie
Summary(pt_BR):	Servidor de conversa um-em-um internet
Summary(tr):	Internet zerinde birebir konuma - talk - sistemi
Group:		Networking/Daemons
Requires:	inetdaemon
Prereq:		rc-inetd >= 0.8.1
Provides:	talkd
Obsoletes:	talk-server

%description -n ntalkd
This package provides a daemon for the Internet talk protocol, which
allows one-on-one chatting between users on different systems.

%description -n ntalkd -l de
Dieses Paket enthlt einen Dmon fr das Internet-Talk- Protokoll, das
das Chatten von zwei Benutzern auf verschiedenen Systemen ermglicht.

%description -n ntalkd -l es
Dilogo de servidor charlas uno a uno en internet.

%description -n ntalkd -l fr
Ce package offre un dmon pour le 'Internet Talk Protocol', qui permet
la conversation un-a-un dans la discussion entre les utilisateurs de
diffrents systmes.

%description -n ntalkd -l pl
Pakiet ten zawiera serwe internetowego protokou talk, ktry umoliwia
komunikacj midzy uytkownikami na rnych systemach.

%description -n ntalkd -l pt_BR
Servidor talk,

%description -n ntalkd -l tr
Bu paket internet talk hizmeti iin bir istemci ve sunucu
iermektedir. Bu program 'konumak' isteyen kiilerin terminalinde iki
blm aacaktr. Kullanclardan her biri kendi yazdklarn ekrann
alt ksmnda, kar tarafn yazdklarn ise st ksmda
greceklerdir.

%prep
%setup -q -n netkit-ntalk-%{version}
%patch0 -p1
%patch1 -p1

%build
./configure --with-c-compiler=%{__cc}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd

%{__make} install INSTALLROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ntalkd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/talkd
bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n ntalkd
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun -n ntalkd
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/talk
%{_mandir}/man1/talk.1*
%lang(fi) %{_mandir}/fi/man1/talk.1*
%lang(fr) %{_mandir}/fr/man1/talk.1*
%lang(hu) %{_mandir}/hu/man1/talk.1*
%lang(it) %{_mandir}/it/man1/talk.1*
%lang(ja) %{_mandir}/ja/man1/talk.1*
%lang(pl) %{_mandir}/pl/man1/talk.1*

%files -n ntalkd
%defattr(644,root,root,755)
%doc README BUGS
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*
%lang(ja) %{_mandir}/ja/man8/*
%attr(640,root,root) %config(noreplace) %verify(not mtime md5 size) /etc/sysconfig/rc-inetd/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ntalk.spec,v $
Revision 1.39  2002/07/31 08:49:08  kloczek
- release 5: use new %doc.

Revision 1.38  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.37  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/12/02 00:20:26  kloczek
- one typo and s/gcc/%{__cc}/

Revision 1.34  2001/12/02 00:18:01  kloczek
- merge translations from Conectiva.

Revision 1.33  2001/11/30 21:44:20  qrczak
- ntalk-include.patch: +#include <time.h>
- Release 4.

Revision 1.32  2001/11/19 13:29:01  ankry
- added fi, fr, hu, it, ja, pl man pages
- release 3

Revision 1.31  2001/10/21 20:22:57  blues
- added provides talkd to provides

Revision 1.30  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.29  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.27  2000/10/12 02:08:43  kloczek
- release 2: use new rpm automation.

Revision 1.26  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.25  2000/08/24 21:24:39  pascalek
- update to 0.17

Revision 1.24  2000/07/13 23:17:44  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.23  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.22  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.21  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.19  2000/01/10 04:06:59  kloczek
- release 3,
- replaced Group between client and server package,
- added "Obsoletes: talk-server" for ntalkd,
- adapter(ized).

Revision 1.18  2000/01/01 20:28:02  kloczek
- updated to 0.16,
- changed packege names: ntalk -> ntalkd, ntalk-clent -> ntalk,
- updated patches,
- server package provides only in.ntalkd (without symlinks to other names).

Revision 1.17  1999/12/21 19:15:57  bszx
 - added use of rc-inetd reload
 - /etc/sysconfig/rc-inetd/* moved from ntalk-client to ntalk

Revision 1.16  1999/10/14 15:47:42  baggins
- small fix

Revision 1.15  1999/10/14 15:45:43  baggins
- support for rc-inetd
- -fno-strict-aliasing to compilation opts

Revision 1.14  1999/09/15 23:35:53  pius
- Requires: inetd -> Requires: inetdaemon

Revision 1.13  1999/07/21 11:11:29  baggins
- added otalk patch
- removed glibc21 patch (obsoleted)

Revision 1.12  1999/07/21 10:54:33  baggins
- macros

Revision 1.11  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.9  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Apr 19 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.11-1]
- added "BuildPrereq: ncurses-devel".

* Fri Apr 16 1999 Piotr Czerwiski <pius@pld.org.pl>
- updated to 0.11,
- added ntalk-client subpackage,
- added Obsoletes: talk,
- added netkit-ntalk-glibc21.patch,
- simplifications in %install (added netkit-ntalk-install.patch),
- fixed Group description and added Group(pl),
- fixed Summary and Summary(pl),
- changed Buildroot to /tmp/%{name}-%{version}-root,
- removed man group from man pages,
- added gzipping documentation and man pages,
- changes in %files,
- cosmetic changes for common l&f.

* Sat Aug 01 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.10-4d]
- build against glibc-2.1,
- removed talk client,
- renamed daemons to talkd and ntalkd,
- added pl translation,
- added build-root support,
- moved %changelog at the end of spec,
- added %doc,
- restricted ELF binary permission.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
